org.apache.tapestry5
Class SymbolConstants

java.lang.Object
  extended by org.apache.tapestry5.SymbolConstants

public class SymbolConstants
extends Object

Defines the names of symbols used to configure Tapestry.

See Also:
SymbolSource

Field Summary
static String APPLICATION_CATALOG
          The location of the application-wide component messages catalog, relative to the web application context.
static String APPLICATION_VERSION
          Version number integrated into URLs for context assets.
static String CHARSET
          The charset used when rendering page markup; the charset is also used as the request encoding when handling incoming requests.
static String COMBINE_SCRIPTS
          If "true" then JavaScript files will be combined into a single virtual JavaScript file.
static String COMPRESS_WHITESPACE
          Controls whether whitespace is compressed by default in templates, or left as is.
static String ENCODE_LOCALE_INTO_PATH
          If "true" (the default), then the PersistentLocale will be encoded into the Link path by the ComponentEventLinkEncoder service.
static String EXCEPTION_REPORT_PAGE
          Name of page used to report exceptions; the page must implement ExceptionReporter.
static String FILE_CHECK_INTERVAL
          Time interval defining how often Tapestry will check for updates to local files (including classes).
static String FILE_CHECK_UPDATE_TIMEOUT
          Time interval that sets how long Tapestry will wait to obtain the exclusive lock needed to check local files.
static String FORCE_ABSOLUTE_URIS
          Symbol which may be set to "true" to force the use of absolute URIs (not relative URIs) exclusively.
static String FORM_CLIENT_LOGIC_ENABLED
          Used as the default for the Form's autofocus and clientValidation parameters.
static String GZIP_COMPRESSION_ENABLED
          If "true" (the default) then GZip compression is enabled for dynamic requests and for static assets.
static String MIN_GZIP_SIZE
          Minimum output stream size, in bytes, before output is compressed using GZIP.
static String OMIT_GENERATOR_META
          Used to omit the normal Tapestry framework generator meta tag.
static String PERSISTENCE_STRATEGY
          Identifies the default persistence strategy for all pages that do not provide an override (using this value as key).
static String PRODUCTION_MODE
          Indicates whether Tapestry is running in production mode or developer mode.
static String SCRIPTS_AT_TOP
          Deprecated. since 5.1.0.1; scripts are now always at the top (see TAP5-544)
static String SECURE_ENABLED
          If "true" (which itself defaults to production mode), then the Secure annotation will be honored.
static String SUPPORTED_LOCALES
          The list of locales supported by the application; locales identified in the incoming request are "narrowed" to one of these values.
static String SUPPRESS_REDIRECT_FROM_ACTION_REQUESTS
          If set to "true", then action requests will render a page markup response immediately, rather than sending a redirect to render the response.
static String TAPESTRY_VERSION
          The version number of the core Tapestry framework, or UNKNOWN if the version number is not available (which should only occur when developing Tapestry).
 
Constructor Summary
SymbolConstants()
           
 
Method Summary
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

PRODUCTION_MODE

public static final String PRODUCTION_MODE
Indicates whether Tapestry is running in production mode or developer mode. The primary difference is how exceptions are reported.

See Also:
Constant Field Values

FORCE_ABSOLUTE_URIS

public static final String FORCE_ABSOLUTE_URIS
Symbol which may be set to "true" to force the use of absolute URIs (not relative URIs) exclusively.

See Also:
Constant Field Values

SUPPRESS_REDIRECT_FROM_ACTION_REQUESTS

public static final String SUPPRESS_REDIRECT_FROM_ACTION_REQUESTS
If set to "true", then action requests will render a page markup response immediately, rather than sending a redirect to render the response. "Action request" is an outdated term for "component event request" (i.e., most links and all form submissions).

See Also:
Constant Field Values

SUPPORTED_LOCALES

public static final String SUPPORTED_LOCALES
The list of locales supported by the application; locales identified in the incoming request are "narrowed" to one of these values. The first locale name in the list is the default locale used when no proper match can be found.

See Also:
Constant Field Values

COMPRESS_WHITESPACE

public static final String COMPRESS_WHITESPACE
Controls whether whitespace is compressed by default in templates, or left as is. The factory default is to compress whitespace. This can be overridden using the xml:space attribute inside template elements.

See Also:
Constant Field Values

FILE_CHECK_INTERVAL

public static final String FILE_CHECK_INTERVAL
Time interval defining how often Tapestry will check for updates to local files (including classes). This number can be raised in a production environment. The default is "1 s" (one second), which is appropriate for development.

See Also:
Constant Field Values

FILE_CHECK_UPDATE_TIMEOUT

public static final String FILE_CHECK_UPDATE_TIMEOUT
Time interval that sets how long Tapestry will wait to obtain the exclusive lock needed to check local files. The default is "50 ms".

See Also:
Constant Field Values

TAPESTRY_VERSION

public static final String TAPESTRY_VERSION
The version number of the core Tapestry framework, or UNKNOWN if the version number is not available (which should only occur when developing Tapestry).

See Also:
Constant Field Values

APPLICATION_CATALOG

public static final String APPLICATION_CATALOG
The location of the application-wide component messages catalog, relative to the web application context. This will normally be WEB-INF/app.properties.

See Also:
Constant Field Values

CHARSET

public static final String CHARSET
The charset used when rendering page markup; the charset is also used as the request encoding when handling incoming requests. The default is "UTF-8".

See Also:
Constant Field Values

FORM_CLIENT_LOGIC_ENABLED

public static final String FORM_CLIENT_LOGIC_ENABLED
Used as the default for the Form's autofocus and clientValidation parameters. If overridden to "false", then Forms will not (unless explicitly specified) use client validation or autofocus, which in turn, means that most pages with Forms will not make use of the Tapestry JavaScript stack.

See Also:
Constant Field Values

EXCEPTION_REPORT_PAGE

public static final String EXCEPTION_REPORT_PAGE
Name of page used to report exceptions; the page must implement ExceptionReporter. This is used by the default exception report handler service.

See Also:
Constant Field Values

SCRIPTS_AT_TOP

public static final String SCRIPTS_AT_TOP
Deprecated. since 5.1.0.1; scripts are now always at the top (see TAP5-544)
If true, then links for external JavaScript libraries are placed at the top of the document (just inside the <body> element). If false, the default, then the libraries are placed at the bottom of the document. Per-page initialization always goes at the bottom.

See Also:
Constant Field Values

PERSISTENCE_STRATEGY

public static final String PERSISTENCE_STRATEGY
Identifies the default persistence strategy for all pages that do not provide an override (using this value as key).

Since:
5.1.0.0
See Also:
Constant Field Values

MIN_GZIP_SIZE

public static final String MIN_GZIP_SIZE
Minimum output stream size, in bytes, before output is compressed using GZIP. Shorter streams are not compressed. Tapestry buffers this amount and switches to a GZIP output stream as needed. The default is "100".

Since:
5.1.0.0
See Also:
GZIP_COMPRESSION_ENABLED, Constant Field Values

APPLICATION_VERSION

public static final String APPLICATION_VERSION
Version number integrated into URLs for context assets. This should be changed for each release, otherwise out-of-date files may be used from the client's local cache (due to far-future expired headers). The default value is semi-random and different for each execution, which will adversely affect client caching, but is reasonable for development.

Since:
5.1.0.0
See Also:
Constant Field Values

OMIT_GENERATOR_META

public static final String OMIT_GENERATOR_META
Used to omit the normal Tapestry framework generator meta tag. The meta tag is rendered by default, but clients who do not wish to advertise their use of Tapestry may set this symbol to "true".

Since:
5.1.0.0
See Also:
Constant Field Values

GZIP_COMPRESSION_ENABLED

public static final String GZIP_COMPRESSION_ENABLED
If "true" (the default) then GZip compression is enabled for dynamic requests and for static assets. If you are using a server that handles GZip compression for you, or you don't want to ue the extra processing power necessary to GZIP requests, then override this to "false".

Since:
5.1.0.0
See Also:
MIN_GZIP_SIZE, Constant Field Values

SECURE_ENABLED

public static final String SECURE_ENABLED
If "true" (which itself defaults to production mode), then the Secure annotation will be honored. If "false" (i.e., development mode), then the annotation and related HTTP/HTTPS logic is ignored.

Since:
5.1.0.1
See Also:
Constant Field Values

ENCODE_LOCALE_INTO_PATH

public static final String ENCODE_LOCALE_INTO_PATH
If "true" (the default), then the PersistentLocale will be encoded into the Link path by the ComponentEventLinkEncoder service. If overriden to "false" this does not occur, but you should provide a LinkCreationListener (registered with the LinkCreationHub) in order to add the locale as a query parameter (or provide some alternate means of persisting the locale between requests).

Since:
5.1.0.1
See Also:
Constant Field Values

COMBINE_SCRIPTS

public static final String COMBINE_SCRIPTS
If "true" then JavaScript files will be combined into a single virtual JavaScript file. Defaults to "true" is production mode.

Since:
5.1.0.2
See Also:
Constant Field Values
Constructor Detail

SymbolConstants

public SymbolConstants()


Copyright © 2006-2009 Apache Software Foundation. All Rights Reserved.